#! /bin/sh

trap 'echo ; exit 13' TERM INT

echo "Uninstall S-GEAR"

# S-Gear Application
echo "removing S-GEAR Standalone Application"
sudo rm -rf "/Applications/S-Gear.app"

# S-GEAR AudioUnit Plug-in
echo "removing S-GEAR AudioUnit"
sudo rm -rf "/Library/Audio/Plug-Ins/Components/SGearAU2.component"

# S-GEAR AAX
echo "removing S-GEAR AAX"
sudo rm -rf "/Library/Application Support/Avid/Audio/Plug-Ins/SGearAAX.aaxplugin"

# S-GEAR VST3
echo "removing S-GEAR VST3"
sudo rm -rf "/Library/Audio/Plug-Ins/VST3/SGear2.vst3"
sudo rm -rf "/Library/Audio/Plug-Ins/VST3/SGear.vst3"

# sa_impulses library
echo "removing Resources"
sudo rm -rf "/Library/Application Support/Scuffham Amps/S-Gear2/data/sa_impulses.dat"
sudo rm -rf "/Library/Application Support/Scuffham Amps/S-Gear2/data/Drivethru.sfx"

# forget packages
echo "removing package reciepts"
sudo pkgutil --forget com.scuffhamamps.S-Gear.pkg

sudo pkgutil --forget com.scuffhamamps.sgear.S-Gear.pkg

sudo pkgutil --forget com.scuffhamamps.sgear.sa_impulses.pkg

sudo pkgutil --forget com.scuffhamamps.sgear.resources.pkg

sudo pkgutil --forget com.scuffhamamps.sgear.aaxpresets.pkg

sudo pkgutil --forget com.scuffhamamps.SGearAAX.pkg

sudo pkgutil --forget com.scuffhamamps.SGearAU2.pkg

sudo pkgutil --forget com.scuffhamamps.SGearVST3.pkg

echo "Done."

